#!/usr/bin/env perl
use strict;
use warnings;


#--------------------------------------------------------------------
#creation pipe et compilation c++ pour le materiau : H_THERMO
#--------------------------------------------------------------------
(-d "H_THERMO") or die "\nErreur : repertoire H_THERMO introuvable...\n\n";
(-e "H_THERMO/appelc_1.cc") or die "\nErreur : fichier H_THERMO/appelc_1.cc introuvable...\n\n";
(-e "H_THERMO/routines_1.c") or die "\nErreur : fichier H_THERMO/routines_1.c introuvable...\n\n";
chdir "H_THERMO";
system("rm -f Umat_envoi_Hz; mkfifo -m+wr Umat_envoi_Hz");
system("rm -f Umat_reception_Hz; mkfifo -m+wr Umat_reception_Hz");
system("gcc -c appelc_1.cc -o appelc_1.o -fPIC");
chdir "..";
